<template>
<Page title='Profile'>
    <div class="flex items-center justify-center px-8">
              <img
        id="profile-img"
        src='https://avataaars.io/?avatarStyle=Circle&topType=LongHairStraight&accessoriesType=Blank&hairColor=BlondeGolden&facialHairType=Blank&clotheType=BlazerSweater&eyeType=Happy&eyebrowType=Default&mouthType=Smile&skinColor=Pale'     
      />
      <div class="text-center">
                        <p>{{email}}</p>
                        <p>{{username}}</p>
                     <p class="text-red-500"> {{message}}</p>
                     </div>
    </div>
</Page>
</template>
<script>
export default {
  data() {
    return {
      email: '',
      username: '',
      message: ''
    }
  },
async beforeCreate () {
    try {
      const user = await this.$axios.$get(`http://localhost:8080/600/users/${this.$route.params.id}`,{
        headers: { Authorization: `Bearer ${this.$store.state.accessToken}` }
      }).then(res => { return res })

        this.email = user.email
        this.username = user.username
    } catch(e) {
        if (e.response.data === 'Missing token') this.$router.push('/sign-up')
        else this.message = `${e.response.data}, please try again!`
    }
    }
}
</script>